> ## Documentation Index
> Fetch the complete documentation index at: https://hyperbrowser.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates a new profile



## OpenAPI

````yaml /openapi.json POST /api/profile
openapi: 3.0.1
info:
  title: Hyperbrowser API
  version: 1.0.0
servers:
  - url: https://api.hyperbrowser.ai
    description: Production server
security: []
paths:
  /api/profile:
    post:
      summary: Creates a new profile
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateProfileParams'
      responses:
        '200':
          description: Profile created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateProfileResponse'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: javascript
          label: Create a profile
          source: |-
            import { Hyperbrowser } from '@hyperbrowser/sdk';

            const client = new Hyperbrowser({ apiKey: 'your-api-key' });

            await client.profiles.create({
              name: 'My Profile'
            });
        - lang: python
          label: Create a profile
          source: |-
            from hyperbrowser import Hyperbrowser
            from hyperbrowser.models import CreateProfileParams

            client = Hyperbrowser(api_key='your-api-key')

            client.profiles.create(CreateProfileParams(
              name='My Profile'
            ))
components:
  schemas:
    CreateProfileParams:
      type: object
      properties:
        name:
          type: string
    CreateProfileResponse:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````